//*******************************************************
//  ATmega48 8x8 dot matrix LED Display
// CPU Clock:8MHz
//   iq[Yf[^@WȂBIV[^(8MHz)ɂj
//
//  file name: disp_8x8_dot_h.h
//  wb_[t@C
//
//@@@PB1:COL1 High:Active
//@@@PB2:COL2 High:Active
//@@@PC5:COL3 High:Active
//@@@PC4:COL4 High:Active
//@@@PC3:COL5 High:Active
//@@@PC2:COL6 High:Active
//@@@PC1:COL7 High:Active
//@@@PC0:COL8 High:Active
//@@@PB0:ROW1 Low:Active
//@@@PD1:ROW2 Low:Active
//@@@PD2:ROW3 Low:Active
//@@@PD3:ROW4 Low:Active
//@@@PD4:ROW5 Low:Active
//@@@PD5:ROW6 Low:Active
//@@@PD6:ROW7 Low:Active
//@@@PD7:ROW8 Low:Active
//
//  2022/11/29  New(TAB4)	taishi for nega48 & Character Mode only, Anode Common only
//*******************************************************

extern	const unsigned char	row_data_PB_off;
extern	const unsigned char	row_data_PB[8];
extern	const unsigned char	row_data_PD_off;
extern	const unsigned char	row_data_PD[8];

extern	const unsigned char	col_data_PB_off;
extern	unsigned char	col_data_PB[8];
extern	const unsigned char	col_data_PC_off;
extern	unsigned char	col_data_PC[8];

extern	void	disp_8x8_dot_led(void);
extern	void	asc_to_dotmatrix(unsigned char uc,unsigned char	right,unsigned char mirror_upsidedown);
extern	void	set_bright(void);
